Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickpipesReversePrivateEndpoints
List reverse private endpoints
curl --request GET \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": [
    {
      "description": "My reverse private endpoint",
      "type": "VPC_ENDPOINT_SERVICE",
      "vpcEndpointServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567",
      "vpcResourceConfigurationId": "rcfg-12345678901234567",
      "vpcResourceShareArn": "arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567",
      "mskClusterArn": "arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster",
      "mskAuthentication": "SASL_IAM",
      "id": "12345678-1234-1234-1234-123456789012",
      "serviceId": "12345678-1234-1234-1234-123456789012",
      "endpointId": "vpce-12345678901234567",
      "dnsNames": [
        "<string>"
      ],
      "privateDnsNames": [
        "<string>"
      ],
      "status": "Ready"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the Reverse Private Endpoint.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object[]